mbed TLS v2.16.0: md4.h File Reference

mbed TLS v2.16.0

Data Structures | Macros | Typedefs | Functions
md4.h File Reference

MD4 message digest algorithm (hash function) More...

`#include "config.h"`
`#include <stddef.h>`
`#include <stdint.h>`
Include dependency graph for md4.h:

Go to the source code of this file.

## Data Structures
struct | mbedtls_md4_context
| MD4 context structure. More...

## Macros
#define | MBEDTLS_ERR_MD4_HW_ACCEL_FAILED -0x002D
#define | MBEDTLS_DEPRECATED

## Typedefs
typedef struct mbedtls_md4_context | mbedtls_md4_context
| MD4 context structure. More...

## Functions
void | mbedtls_md4_init (mbedtls_md4_context *ctx)
| Initialize MD4 context. More...
void | mbedtls_md4_free (mbedtls_md4_context *ctx)
| Clear MD4 context. More...
void | mbedtls_md4_clone (mbedtls_md4_context *dst, const mbedtls_md4_context *src)
| Clone (the state of) an MD4 context. More...
int | mbedtls_md4_starts_ret (mbedtls_md4_context *ctx)
| MD4 context setup. More...
int | mbedtls_md4_update_ret (mbedtls_md4_context *ctx, const unsigned char *input, size_t ilen)
| MD4 process buffer. More...
int | mbedtls_md4_finish_ret (mbedtls_md4_context *ctx, unsigned char output[16])
| MD4 final digest. More...
int | mbedtls_internal_md4_process (mbedtls_md4_context *ctx, const unsigned char data[64])
| MD4 process data block (internal use only) More...
MBEDTLS_DEPRECATED void | mbedtls_md4_starts (mbedtls_md4_context *ctx)
| MD4 context setup. More...
MBEDTLS_DEPRECATED void | mbedtls_md4_update (mbedtls_md4_context *ctx, const unsigned char *input, size_t ilen)
| MD4 process buffer. More...
MBEDTLS_DEPRECATED void | mbedtls_md4_finish (mbedtls_md4_context *ctx, unsigned char output[16])
| MD4 final digest. More...
MBEDTLS_DEPRECATED void | mbedtls_md4_process (mbedtls_md4_context *ctx, const unsigned char data[64])
| MD4 process data block (internal use only) More...
int | mbedtls_md4_ret (const unsigned char *input, size_t ilen, unsigned char output[16])
| Output = MD4( input buffer ) More...
MBEDTLS_DEPRECATED void | mbedtls_md4 (const unsigned char *input, size_t ilen, unsigned char output[16])
| Output = MD4( input buffer ) More...
int | mbedtls_md4_self_test (int verbose)
| Checkup routine. More...

## Detailed Description

MD4 message digest algorithm (hash function)

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

Definition in file md4.h.

## Macro Definition Documentation

## ◆ MBEDTLS_DEPRECATED [1/2]

#define MBEDTLS_DEPRECATED

Definition at line 268 of file md4.h.

## ◆ MBEDTLS_DEPRECATED [2/2]

#define MBEDTLS_DEPRECATED

Definition at line 268 of file md4.h.

## ◆ MBEDTLS_ERR_MD4_HW_ACCEL_FAILED

#define MBEDTLS_ERR_MD4_HW_ACCEL_FAILED -0x002D

MD4 hardware accelerator failed

Definition at line 42 of file md4.h.

## Typedef Documentation

## ◆ mbedtls_md4_context

typedef struct mbedtls_md4_context mbedtls_md4_context

MD4 context structure.

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## Function Documentation

## ◆ mbedtls_internal_md4_process()

int mbedtls_internal_md4_process | ( | mbedtls_md4_context * | ctx,
|  | const unsigned char | data[64]
| ) |  |

MD4 process data block (internal use only)

Parameters

  ctx | MD4 context
  data | buffer holding one block of data

Returns
  0 if successful

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md4()

MBEDTLS_DEPRECATED void mbedtls_md4 | ( | const unsigned char * | input,
|  | size_t | ilen,
|  | unsigned char | output[16]
| ) |  |

Output = MD4( input buffer )

Deprecated:
  Superseded by mbedtls_md4_ret() in 2.7.0

Parameters

  input | buffer holding the data
  ilen | length of the input data
  output | MD4 checksum result

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md4_clone()

void mbedtls_md4_clone | ( | mbedtls_md4_context * | dst,
|  | const mbedtls_md4_context * | src
| ) |  |

Clone (the state of) an MD4 context.

Parameters

  dst | The destination context
  src | The context to be cloned

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md4_finish()

MBEDTLS_DEPRECATED void mbedtls_md4_finish | ( | mbedtls_md4_context * | ctx,
|  | unsigned char | output[16]
| ) |  |

MD4 final digest.

Deprecated:
  Superseded by mbedtls_md4_finish_ret() in 2.7.0

Parameters

  ctx | MD4 context
  output | MD4 checksum result

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md4_finish_ret()

int mbedtls_md4_finish_ret | ( | mbedtls_md4_context * | ctx,
|  | unsigned char | output[16]
| ) |  |

MD4 final digest.

Parameters

  ctx | MD4 context
  output | MD4 checksum result

Returns
  0 if successful

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md4_free()

void mbedtls_md4_free | ( | mbedtls_md4_context * | ctx | ) |

Clear MD4 context.

Parameters

  ctx | MD4 context to be cleared

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md4_init()

void mbedtls_md4_init | ( | mbedtls_md4_context * | ctx | ) |

Initialize MD4 context.

Parameters

  ctx | MD4 context to be initialized

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md4_process()

MBEDTLS_DEPRECATED void mbedtls_md4_process | ( | mbedtls_md4_context * | ctx,
|  | const unsigned char | data[64]
| ) |  |

MD4 process data block (internal use only)

Deprecated:
  Superseded by mbedtls_internal_md4_process() in 2.7.0

Parameters

  ctx | MD4 context
  data | buffer holding one block of data

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md4_ret()

int mbedtls_md4_ret | ( | const unsigned char * | input,
|  | size_t | ilen,
|  | unsigned char | output[16]
| ) |  |

Output = MD4( input buffer )

Parameters

  input | buffer holding the data
  ilen | length of the input data
  output | MD4 checksum result

Returns
  0 if successful

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md4_self_test()

int mbedtls_md4_self_test | ( | int | verbose | ) |

Checkup routine.

Returns
  0 if successful, or 1 if the test failed

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md4_starts()

MBEDTLS_DEPRECATED void mbedtls_md4_starts | ( | mbedtls_md4_context * | ctx | ) |

MD4 context setup.

Deprecated:
  Superseded by mbedtls_md4_starts_ret() in 2.7.0

Parameters

  ctx | context to be initialized

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md4_starts_ret()

int mbedtls_md4_starts_ret | ( | mbedtls_md4_context * | ctx | ) |

MD4 context setup.

Parameters

  ctx | context to be initialized

Returns
  0 if successful

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md4_update()

MBEDTLS_DEPRECATED void mbedtls_md4_update | ( | mbedtls_md4_context * | ctx,
|  | const unsigned char * | input,
|  | size_t | ilen
| ) |  |

MD4 process buffer.

Deprecated:
  Superseded by mbedtls_md4_update_ret() in 2.7.0

Parameters

  ctx | MD4 context
  input | buffer holding the data
  ilen | length of the input data

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

## ◆ mbedtls_md4_update_ret()

int mbedtls_md4_update_ret | ( | mbedtls_md4_context * | ctx,
|  | const unsigned char * | input,
|  | size_t | ilen
| ) |  |

MD4 process buffer.

Parameters

  ctx | MD4 context
  input | buffer holding the data
  ilen | length of the input data

Returns
  0 if successful

Warning
  MD4 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.